### Function

# Gcr trust_is_certificate_distrusted_finish

since: 4

#### Declaration [src]

    gboolean
    gcr_trust_is_certificate_distrusted_finish (
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes an asynchronous operation started by `gcr_trust_is_certificate_distrusted_async()`.

In the case of an error, `FALSE` is also returned. Check `error` to detect if an error occurred.

Available since: 4

#### Parameters

`result`

  Type: `GAsyncResult`

  The `GAsyncResult` passed to the callback.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the certificate is a trust anchor.